def load_parameters():
    """
        Loads the defined parameters
    """
    # Libraries path
    KERAS_PATH = '/git_libs/keras-smart-tray_v1.0'
    MKW_PATH = '/multimodal_keras_wrapper'
    
    # GPU params
    GPU_ID = '1'
    GPU_MEMORY_FRACTION = 0.75

    # Image pre-processingparameters
    NORMALIZE_IMAGES = True
    MEAN_SUBSTRACTION = False
    DATA_AUGMENTATION = False  # only applied on training set

    # Evaluation params
    START_EVAL_ON_EPOCH = 1  # First epoch where the model will be evaluated

    # Optimizer parameters (see model.compile() function)
    OPTIMIZER = 'adam'

    LR = 0.0001  # general LR (0.001 recommended for adam optimizer)
    DECAY = 0.9
    MOMENTUM = 0.8
    EPSILON = 1e-07
    CLIP_C = 10. # During training, clip gradients to this norm
    PRE_TRAINED_LR_MULTIPLIER = 0.001  # LR multiplier for pre-trained network (LR x PRE_TRAINED_LR_MULTIPLIER)
    NEW_LAST_LR_MULTIPLIER = 1.0  # LR multiplier for the newly added layers (LR x NEW_LAST_LR_MULTIPLIER)

    # Training parameters
    PARALLEL_LOADERS = 1  # parallel data batch loaders
    EPOCHS_FOR_SAVE = 1  # number of epochs between model saves
    WRITE_VALID_SAMPLES = True  # Write valid samples in file

    VERBOSE = 1  # Verbosity
    MODE = 'predict'  # 'training', 'evaluate', 'features' or 'predict' (if 'predict' then RELOAD must be greater than 0 and EVAL_ON_SETS will be used)
    MAX_EPOCH = 50
    MODEL = 'FV_YP_mult_C_M_model'
    RELOAD = 0  # If 0 start training from scratch, otherwise the model saved on epoch 'RELOAD' will be used

    # include path to pre-trained .h5 weights if RELOAD=0 and we want to use a pre-trained model, otherwise set to None
    PRETRAINED_PATH = None  #'/models/v3/types_6_balanced_weighted/epoch_3.h5'

    # Evaluation parameters
    NUM_EVALS = 5
    EVAL_ON_SETS = ['test']  # Possible values: 'train', 'val' and 'test'
    MODELS_TO_EVAL = ['FV_YP_mult_C_M_model']
    YOLO_ENSEMBLE = False

    # NMS evaluation parameters
    NMS_THRESH = 0.4
    CNMS_THRESH = 0.95
    
    # Prediction parameters
    RESULTS_FOLDER_NAME = 'model_predictions'  #'ensemble_predictions' or 'model_predictions'

    # ============================================
    parameters = locals().copy()
    return parameters
