from bounding_box import bounding_box as bb
import cv2
from os import listdir
from os.path import isfile, join

baseline_predictions = "23_preds_9000_best_params/"
onlyfiles = [f for f in listdir(baseline_predictions) if isfile(join(baseline_predictions, f))]

imgs_path = "yolo_predictions_img/23/"

model_predictions = "model_predictions/"
ensemble_predictions = "ensemble_predictions/"
models_paths_list = [baseline_predictions, model_predictions, ensemble_predictions]
results_path = "results/"

# Read all classes names and create classes dictonary    
with open("yolo_classes_new.txt", 'r') as cn:
	classes_list = [l.strip() for l in cn.readlines()]

for f in onlyfiles[10:30]:

	img_id = f[:-4]

	for i in range(3):
		print(imgs_path + img_id + ".jpg")
		image = cv2.imread(imgs_path + img_id + ".jpg")
		img_h, img_w, _ = image.shape

		if isfile(models_paths_list[i] + img_id + ".txt"):
			with open(models_paths_list[i] + img_id + ".txt", 'r') as f:
				content = f.readlines()
				f.close()

			if len(content)>0:
				for l in content:
					l = l.split()
					label = classes_list[int(l[0])]
					x = int(float(l[1])*img_w)
					y = int(float(l[2])*img_h)
					w = int(float(l[3])*img_w)
					h = int(float(l[4])*img_h)
					
					left = int(x - w/2)
					right = int(x + w/2)
					top = int(y + h/2)
					bottom = int(y - h/2)


					try:
						bb.add(image, left, top, right, bottom, label)
					except:
						bb.add(image, left, top, right, bottom)

				cv2.imwrite(results_path + img_id + "_" + str(i) + ".jpg", image)

