import os
import numpy as np
#import pandas as pd


with open("data_yolo/annotations/yolo_classes.txt", 'r') as f:
	lines = f.readlines()

dic_classes = {}
classes_names = []
for i in range(len(lines)):
	c = lines[i].strip('\n')
	dic_classes[c] = i
	classes_names.append(c)


# Add mappings to dic_classes (there are different yolo classes that actually are the same)
dic_classes['cuscus'] = dic_classes['couscous']
dic_classes['Canalones'] = dic_classes['canelones']
dic_classes['canalones'] = dic_classes['canelones']
dic_classes['ensalada de lentejas '] = dic_classes['ensalada de lentejas']
dic_classes['fideu\xc3\xa1 '] = dic_classes['fideu\xc3\xa1']
dic_classes['arroz bolonesa'] = dic_classes['arroz a la bolo\xc3\xb1esa']
dic_classes['arroz con bolonesa'] = dic_classes['arroz a la bolo\xc3\xb1esa']
dic_classes['Escalopa de ternera'] = dic_classes['escalopa de ternera']
dic_classes['escalopa de ternera '] = dic_classes['escalopa de ternera']
dic_classes['Bistec de ternera a la pimienta'] = dic_classes['bistec de ternera a la pimienta']
dic_classes['ensalada de cuscus'] = dic_classes['ensalada de couscous']
dic_classes['espinacas a la crema '] = dic_classes['espinacas a la crema']
dic_classes['empanadillas '] = dic_classes['empanadillas']


folds = [i for i in range(1, 98)]
folds.remove(28)
folds.remove(74)

data = np.zeros((len(classes_names), len(folds)))
print data.shape

for i, n in enumerate(folds):
	print "Fold " + str(n)
	folder_name = "tray_images_dataset/new_data_test" + str(n)

	if os.path.isdir(folder_name) and os.path.isdir(folder_name + "/train_cfg/"):
		if os.path.isfile(folder_name + "/train_cfg/new_data_test" + str(n) + ".names"):
			with open(folder_name + "/train_cfg/new_data_test" + str(n) + ".names", 'r') as g:
				classes_list = g.readlines()
				
			for c in classes_list:
				c = c.strip('\n')
				data[dic_classes[c], i] += 1
	
	print data[:,i]
	print "\n"

#df = pd.DataFrame(data, columns=classes_names, index=folds)
#print df

np.savetxt("classes_x_folds.csv", data, delimiter=";", fmt="%1u")


